## ros-joint-state-publisher 1.12.14

=== joint_state_publisher/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(joint_state_publisher)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

catkin_install_python(PROGRAMS
  scripts/joint_state_publisher
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  add_rostest(test/test_mimic_chain.launch)
  add_rostest(test/test_mimic_cycle.launch)
  add_rostest(test/test_zero_joints.launch)
  add_rostest(test/test_multi_joints_urdf.launch)
  add_rostest(test/test_multi_joints_collada.launch)
  add_rostest(test/test_64_joint_robot.launch)
endif()

=== joint_state_publisher_gui/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(joint_state_publisher_gui)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

catkin_install_python(PROGRAMS
  scripts/joint_state_publisher_gui
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## ros-joint-state-publisher 1.12.13

=== debian/changelog ===
ros-joint-state-publisher (1.12.13-3) unstable; urgency=medium

  * Fix tests without network access

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 04 Jan 2020 19:19:06 +0100

ros-joint-state-publisher (1.12.13-2) unstable; urgency=medium

  * Drop superfluous patch
  * Fix d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 10 Nov 2019 05:48:20 +0100

ros-joint-state-publisher (1.12.13-1) unstable; urgency=medium

  * Initial release, split from ros-robot-model (Closes: #903648).

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 27 Oct 2019 10:05:19 +0100

=== debian/control ===
Source: ros-joint-state-publisher
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Schauer <josch@debian.org>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, librostest-dev, python3-rostest, joint-state-publisher
Standards-Version: 4.4.1
Section: utils
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/joint_state_publisher
Vcs-Browser: https://salsa.debian.org/science-team/ros-joint-state-publisher
Vcs-Git: https://salsa.debian.org/science-team/ros-joint-state-publisher.git

Package: joint-state-publisher
Architecture: all
Depends: ${misc:Depends}, python3, python3-python-qt-binding, python3-sensor-msgs, python3-rospy
Recommends: ros-robot-state-publisher
Description: ROS joint_state_publisher
 This package contains a tool for setting and publishing joint state values for
 a given URDF. It publishes sensor_msgs/JointState messages for a robot. The
 package reads the robot_description parameter, finds all of the non-fixed
 joints and publishes a JointState message with all those joints defined.
 .
 It can be used in conjunction with the robot_state_publisher node to
 also publish transforms for all joint states.

=== debian/rules ===
#!/usr/bin/make -f

# for tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --sourcedirectory=joint_state_publisher

override_dh_auto_install:
	dh_auto_install
	mv debian/joint-state-publisher/usr/lib/*/pkgconfig debian/joint-state-publisher/usr/share
	rmdir --ignore-fail-on-non-empty debian/joint-state-publisher/usr/lib/*

## ros-joint-state-publisher 1.12.14

=== debian/changelog ===
ros-joint-state-publisher (1.12.14-1) unstable; urgency=medium

  * New upstream release
  * split package into joint-state-publisher and joint-state-publisher-gui
  * refresh patches
     - add toplevel CMakeLists.txt
  * debian/control: fix my name in uploaders
  * debian/rules: build toplevel CMakeLists.txt
  * debian/control: add b-d on dh-python, dh-sequence-python3
  * debian/control: bump standards-version to 4.5.0
  * debian/control: add ${python3:Depends}
  * add autopkgtests

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 21 Feb 2020 10:36:49 +0100

=== debian/control ===
Source: ros-joint-state-publisher
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes 'josch' Schauer <josch@debian.org>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, librostest-dev, python3-rostest, joint-state-publisher, dh-python, dh-sequence-python3
Standards-Version: 4.5.0
Section: utils
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/joint_state_publisher
Vcs-Browser: https://salsa.debian.org/science-team/ros-joint-state-publisher
Vcs-Git: https://salsa.debian.org/science-team/ros-joint-state-publisher.git

Package: joint-state-publisher
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-sensor-msgs, python3-rospy
Recommends: ros-robot-state-publisher, joint-state-publisher-gui
Description: ROS joint_state_publisher
 This package contains a tool for setting and publishing joint state values for
 a given URDF. It publishes sensor_msgs/JointState messages for a robot. The
 package reads the robot_description parameter, finds all of the non-fixed
 joints and publishes a JointState message with all those joints defined.
 .
 It can be used in conjunction with the robot_state_publisher node to
 also publish transforms for all joint states.

Package: joint-state-publisher-gui
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-python-qt-binding, joint-state-publisher
Description: ROS joint_state_publisher_gui
 This package contains a tool for setting and publishing joint state values for
 a given URDF. It publishes sensor_msgs/JointState messages for a robot. The
 package reads the robot_description parameter, finds all of the non-fixed
 joints and publishes a JointState message with all those joints defined.
 .
 It can be used in conjunction with the robot_state_publisher node to
 also publish transforms for all joint states.
 .
 This package contains the Qt GUI

=== debian/rules ===
#!/usr/bin/make -f

# for tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --with=python3 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/lib/*/pkgconfig debian/tmp/usr/share
	rmdir --ignore-fail-on-non-empty debian/tmp/usr/lib/*

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%joint-state-publisher-$1.tar.gz%" \
    https://github.com/ros/joint_state_publisher/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-joint-state-publisher 1.15.0

=== joint_state_publisher/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(joint_state_publisher)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-joint-state-publisher (1.15.0-1) unstable; urgency=medium

  * Limit d/watch to ROS 1
  * New upstream version 1.15.0
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 13:01:48 +0200

ros-joint-state-publisher (1.12.14-2) unstable; urgency=medium

  * source-only upload to allow testing migration

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 06 Mar 2020 08:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, librostest-dev, python3-rostest, joint-state-publisher, dh-python, dh-sequence-python3
+Build-Depends: debhelper-compat (= 13), catkin, librostest-dev, python3-rostest, dh-sequence-python3
 Standards-Version: 4.5.0
 Section: utils
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%joint-state-publisher-$1.tar.gz%" \
    https://github.com/ros/joint_state_publisher/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz

## ros-joint-state-publisher 1.15.1

=== joint_state_publisher_gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(joint_state_publisher_gui)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-joint-state-publisher (1.15.1-1) unstable; urgency=medium

  * New upstream version 1.15.1
  * Bump policy versions (no changes)
  * Drop Python 3 patch (not needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Feb 2022 12:24:48 +0100

ros-joint-state-publisher (1.15.0-2) unstable; urgency=medium

  * Fix package name in d/watch
  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper-compat (= 13), catkin, librostest-dev, python3-rostest, dh-sequence-python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: utils
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/joint_state_publisher

=== debian/rules ===
#!/usr/bin/make -f

# for tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@

=== debian/tests/control ===
Test-Command: python3 -c "import joint_state_publisher"
Restrictions: allow-stderr
Depends: joint-state-publisher
Features: test-name=joint-state-publisher

Test-Command: python3 -c "import joint_state_publisher_gui"
Restrictions: allow-stderr
Depends: joint-state-publisher-gui
Features: test-name=joint-state-publisher-gui

## ros-joint-state-publisher 1.15.2

=== joint_state_publisher/CMakeLists.txt ===
--- 
+++ 
@@ -19,4 +19,5 @@
   add_rostest(test/test_multi_joints_urdf.launch)
   add_rostest(test/test_multi_joints_collada.launch)
   add_rostest(test/test_64_joint_robot.launch)
+  add_rostest(test/test_slash_fiction.launch)
 endif()

=== debian/changelog ===
ros-joint-state-publisher (1.15.2-1) unstable; urgency=medium

  * New upstream version 1.15.2
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 17:07:34 +0200

ros-joint-state-publisher (1.15.1-4) unstable; urgency=medium

  * Add missing build dependency (Closes: #1084356)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Oct 2024 12:59:02 +0200

ros-joint-state-publisher (1.15.1-3) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros (Closes: #1084356)
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 03 Oct 2024 23:12:13 +0200

ros-joint-state-publisher (1.15.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Switch to PyQt5
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Jan 2024 21:33:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,20 @@
 Source: ros-joint-state-publisher
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Johannes 'josch' Schauer <josch@debian.org>,
-           Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, librostest-dev, python3-rostest, dh-sequence-python3
-Standards-Version: 4.6.0
+Uploaders:
+ Johannes 'josch' Schauer <josch@debian.org>,
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timo Röhling <roehling@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-ros,
+ dh-sequence-python3,
+ catkin,
+ librostest-dev,
+ python3-rostest,
+ python3-sensor-msgs,
+Standards-Version: 4.7.2
 Section: utils
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/joint_state_publisher
@@ -14,8 +23,14 @@
 
 Package: joint-state-publisher
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-sensor-msgs, python3-rospy
-Recommends: ros-robot-state-publisher, joint-state-publisher-gui
+Depends:
+ python3-rospy,
+ python3-sensor-msgs,
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ joint-state-publisher-gui,
+ ros-robot-state-publisher,
 Description: ROS joint_state_publisher
  This package contains a tool for setting and publishing joint state values for
  a given URDF. It publishes sensor_msgs/JointState messages for a robot. The
@@ -27,7 +42,11 @@
 
 Package: joint-state-publisher-gui
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-python-qt-binding, joint-state-publisher
+Depends:
+ joint-state-publisher,
+ python3-pyqt5,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: ROS joint_state_publisher_gui
  This package contains a tool for setting and publishing joint state values for
  a given URDF. It publishes sensor_msgs/JointState messages for a robot. The

=== debian/tests/control ===
Test-Command: python3 -c "import joint_state_publisher"
Restrictions:
 allow-stderr,
Depends:
 joint-state-publisher,
Features:
 test-name=joint-state-publisher,

Test-Command: python3 -c "import joint_state_publisher_gui"
Restrictions:
 allow-stderr,
Depends:
 joint-state-publisher-gui,
Features:
 test-name=joint-state-publisher-gui,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros/joint_state_publisher/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz
